#!/bin/bash

#   FILE: sgml_to_txt.sh -- 
# AUTHOR: W. Michael Petullo <mike@flyn.org>
#   DATE: 04 November 2000
#
# Copyright (C) 1999 W. Michael Petullo <mike@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

IN=$1
OUT=$2
USAGE="Usage: ${0##*/} in out"

if [ $# != 2 ]; then
	echo $USAGE > /dev/stderr
	exit 1
fi

TMP_FILE_0=`mktemp /tmp/sgml_to_c-0.XXXXXX`
TMP_FILE_1=`mktemp /tmp/sgml_to_c-1.XXXXXX`

jade -t sgml -V nochunks -d /usr/lib/sgml/stylesheets/flyn.dsl#txt -i html $IN > $TMP_FILE_0
lynx -force_html -underscore -dump $TMP_FILE_0 > $TMP_FILE_1
sed 1d $TMP_FILE_1 > $OUT

rm -f $TMP_FILE_0
rm -f $TMP_FILE_1
